package example

import (
	"fmt"
	"net/http"
	"os"

	"git.bivouac.wiki/use/trade"
)

func main() {
	// load registry public key

	// get key password from env variable
	passwd, exist := os.LookupEnv("KEY_PASSWD")
	if !exist {
		fmt.Println("no KEY_PASSWD environment variable")
		os.Exit(1)
	}
	if len(os.Args) != 4 {
		fmt.Println("usage: ./example port keypath storepath")
		os.Exit(1)
	}
	port := os.Args[2]
	keypath := os.Args[3]
	storepath := os.Args[4]
	// spawn trade KV
	trade.Load(passwd, keypath, GLOBAL_KV)
	// load self key or generate one
	// spawn server
	http.Serve()
}
